Skip to main content
GET
/
videos
/
{job_id}
Get video job status
curl --request GET \
  --url https://api.budgetpixel.com/v1/videos/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "aspect_ratio": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "length_seconds": 123,
  "model": "<string>",
  "prompt": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "video_url": "<string>"
}

Authorizations

Authorization
string
header
required

API key as a bearer token: Authorization: Bearer bpx_live_xxx

Path Parameters

job_id
string<uuid>
required

Response

Current job status. video_url is populated once succeeded.

aspect_ratio
string
completed_at
string<date-time>
created_at
string<date-time>
error_message
string
job_id
string<uuid>
length_seconds
integer
model
string
prompt
string
started_at
string<date-time>
status
enum<string>

Lifecycle state. succeeded/failed/timeout are terminal.

Available options:
pending,
starting,
processing,
completing,
succeeded,
failed,
timeout
updated_at
string<date-time>
video_url
string<uri>

Present once status=succeeded.